#
create_clock -name CLK50M -period 20 [get_ports CLK50M0]

create_generated_clock -name CLK100M -source [get_ports CLK50M0] \
  -divide_by 1 -multiply_by  2 "U_CLKGEN|U_PLL100M|altpll_component|auto_generated|pll1|clk[0]"

create_generated_clock -name CLK25M -source [get_ports CLK50M0] \
  -divide_by 2 -multiply_by  1 "U_CLKGEN|U_PLL100M|altpll_component|auto_generated|pll1|clk[1]"


set_clock_uncertainty -from CLK100M -to CLK100M 0.2
set_clock_uncertainty -from CLK25M  -to CLK25M  0.2

#
set_false_path -from [get_clocks CLK100M] -to [get_clocks CLK25M]
set_false_path -from [get_clocks CLK25M]  -to [get_clocks CLK100M]

#
set_output_delay -clock CLK25M -max 5 [get_ports VGA_R*]
set_output_delay -clock CLK25M -max 5 [get_ports VGA_G*]
set_output_delay -clock CLK25M -max 5 [get_ports VGA_B*]
set_output_delay -clock CLK25M -max 5 [get_ports VGA_HS]
set_output_delay -clock CLK25M -max 5 [get_ports VGA_VS]
set_output_delay -clock CLK25M -min 0 [get_ports VGA_R*]
set_output_delay -clock CLK25M -min 0 [get_ports VGA_G*]
set_output_delay -clock CLK25M -min 0 [get_ports VGA_B*]
set_output_delay -clock CLK25M -min 0 [get_ports VGA_HS]
set_output_delay -clock CLK25M -min 0 [get_ports VGA_VS]


